<template>
  <div class="sub-navigation container mt-4 mb-4">
    <h1>{{ $t("message.header.navigation.data.statistics") }}</h1>
    <div class="mt-4">
       <nav class="navbar navbar-expand-lg navbar-light pl-0">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
            <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
              <li class="ecl-u-mr-l">
                <router-link
                  :to="{ name: 'CurrentState - Datasets per Category', query: { locale: $i18n.locale } }"
                  class="ecl-link ecl-link--secondary ecl-u-pa-m ecl-u-type-color-blue"
                  :class="{ 'active': isActive('CurrentState')}">{{ $t("message.statistics.currentState") }}</router-link>
              </li>
              <li class="ecl-u-mr-l">
                <router-link
                  :to="{ name: 'Evolution - Total number of Datasets', query: { locale: $i18n.locale } }"
                  class="ecl-link ecl-link--secondary ecl-u-pa-m ecl-u-type-color-blue"
                  :class="{ 'active': isActive('Evolution')}">{{ $t("message.statistics.evolution") }}</router-link>
              </li>
            </ul>
            <span class="updated">
              <span class="ecl-u-mr-s">{{ $t('message.metadata.updated') }}:</span>
              <span class="date ecl-tag ecl-tag--display">{{ this.formattedDate }}</span>
            </span>
          </div>
       </nav>
     </div>
  </div>
</template>

<script>
import axios from 'axios'
// var moment = require('moment');


export default {
  name: 'SubNav',
  data () {
    return {
      catalogues: [],
      date: [],
    }
  },
  computed: {
    formattedDate() {
      if ( ! this.catalogues?.stats?.length) return "";
      this.date = this.catalogues.stats[this.catalogues.stats.length - 1]
      if (this.date.date !== "") {
        return new Date(this.date.date).toLocaleDateString(this.$route.query?.locale ||'en', { year: 'numeric', month: '2-digit', day: '2-digit' });
        // this.formattedDate = moment(new Date(this.date.date)).format('DD MMMM YYYY');
      } else {
        return "";
      }
    },
  },
  methods: {
    isActive(element) {
      if (!this.$route || !this.$route.name) return false;
      return this.$route.name.startsWith(element);
    },
    requestData () {
      axios.get(this.$env.ROOT_API + '/data/num-datasets', {})
        .then(response => {
          this.catalogues = response.data
          this.getDate()
        })
        .catch(() => {})
    }
  },
  created() {
    this.requestData();
    if (!this.isActive('CurrentState') && !this.isActive('Evolution')) {
    this.$router.push({
      name: 'CurrentState - Datasets per Category',
      query: { locale: this.$i18n.locale },
    });
  }
  }
}
</script>

<style lang="scss" scoped>

@media only screen and (max-width: 991px) {
  .navbar-nav > li {
    margin-bottom: 1rem;
    a {
      width: 200px;
      text-align: center;
    }
    &:last-child {
      margin-bottom: 3rem
    }
  }
}

.btn {
  border-radius: 1.875rem;
}

.btn-primary {
  background-color: var(--medium-blue);
  border-color: var(--medium-blue);

  &:hover {
    background-color: #4070d6;
    border-color: #4476e2;
  }
}

// .active {
//   background-color: #004494!important;
//   color: #fff!important;
// }

.weight{
  font-weight: 300;
}

.sub-navigation{
  padding-top:5px;
  background-color: #fff;
  color: #000;
}

.updated {
  //font-family: 'Ubuntu', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  text-align: right;
  font-weight: 100;
}

.date {
  font-size: 12px;
  font-weight: 100;
}

.updated .date.ecl-tag.ecl-tag--display{
  background: #515560;
  border-radius: .25rem;
}



.ecl-link--secondary.active{
  background-color: #0e47cb;
  color: #fff !important;
}

.ecl-link--secondary{
  border-radius: .25rem;
  background-color: #fff;
  border:2px solid #0e47cb;
  color: #0e47cb !important;
}


</style>
